import React from "react";
import Link from "next/link";
import image from '../../public/profile.png';

export default function SideBar() {
    return (
        <>
            <nav>
                <div className="sidebar">
                    <div className="logo-details">
                        <i className="fa-solid fa-code"></i>
                        <span className="logo-name">FullStack Lab</span>
                    </div>
                    <i className="fa-solid fa-chevron-right toggle"></i>
                    <ul className="nav-links">
                        <li>
                            <a href="/">
                                <i className="fa-solid fa-house"></i>
                                <span className="link-name">Accueil</span>
                            </a>
                            <ul className="sub-menu blank">
                                <li><a className="link-name" href="/">Accueil</a></li>
                            </ul>
                        </li>
                        <li>
                            <div className="icon-link">
                                <a href="/graphs">
                                    <i className="fa-solid fa-chart-area"></i>
                                    <span className="link-name">Graphiques</span>
                                </a>
                                <i className="fa-solid fa-chevron-down arrow"></i>
                            </div>
                            <ul className="sub-menu">
                                <li><a className="link-name" href="/graphs">Graphiques</a></li>
                                <li><a href="/graphs">Série temporelle</a></li>
                                <li><a href="/graphs">Diagramme à barre</a></li>
                                <li><a href="/graphs">Diagramme circulaire</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">
                                <i className="fa-solid fa-users"></i>
                                <span className="link-name">Notre équipe</span>
                            </a>
                            <ul className="sub-menu blank">
                                <li><a className="link-name" href="#">Notre équipe</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">
                                <i className="fa-regular fa-file-lines"></i>
                                <span className="link-name">Conditions d'utilisation</span>
                            </a>
                            <ul className="sub-menu blank">
                                <li><a className="link-name" href="#">Conditions d'utilisation</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">
                                <i className="fa-solid fa-shield-halved"></i>
                                <span className="link-name">Politique de confidentialité</span>
                            </a>
                            <ul className="sub-menu blank">
                                <li><a className="link-name" href="#">Politique de confidentialité</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">
                                <i className="fa-regular fa-circle-question"></i>
                                <span className="link-name">A propos</span>
                            </a>
                            <ul className="sub-menu blank">
                                <li><a className="link-name" href="#">A propos</a></li>
                            </ul>
                        </li>
                        <li>
                            <div className="profile-details">
                                <div className="profile-content">
                                    <img src={image} alt="profile" />
                                </div>
                                <div className="name-job">
                                    <div className="profile-name">Clefs en Main</div>
                                    <div className="profile-job">Les agences immobilières en France</div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </nav>
        </>
    )
};